Create a secret destined for a pre-configured recipient and send them an email notification. The recipient is identified by a hash rather than a raw email address. Returns the receipt and secret metadata on success.
POST
/api/incoming/secret
curl \
--request POST 'https://nz.onetimesecret.com/api/incoming/secret' \
--header "Content-Type: application/json" \
--data '{"memo":"","secret":"string","recipient":"string"}'
Request examples
{
"memo": "",
"secret": "string",
"recipient": "string"
}
Response examples (200)
{
"success": true,
"message": "string",
"shrimp": "string",
"custid": "string",
"record": {
"receipt": {
"identifier": "string",
"key": "string",
"custid": "string",
"owner_id": "string",
"state": "string",
"secret_shortid": "string",
"shortid": "string",
"memo": "string",
"recipients": "string",
"secret_ttl": 42.0,
"receipt_ttl": 42.0,
"lifespan": 42.0,
"share_domain": "string",
"created": 42.0,
"updated": 42.0,
"shared": 42.0,
"received": 42.0,
"burned": 42.0,
"viewed": 42.0,
"show_recipients": true,
"is_viewed": true,
"is_received": true,
"is_burned": true,
"is_expired": true,
"is_orphaned": true,
"is_destroyed": true,
"has_passphrase": true
},
"secret": {
"identifier": "string",
"key": "string",
"state": "string",
"shortid": "string",
"secret_ttl": 42.0,
"lifespan": 42.0,
"has_passphrase": true,
"verification": true,
"created": 42.0,
"updated": 42.0
}
},
"details": {
"memo": "string",
"recipient": "string"
}
}
Response examples (400)
{
"error": "string",
"error_type": "string",
"message": "string",
"field": "string",
"error_id": "string",
"request_id": "string"
}
Response examples (404)
{
"error": "string",
"error_type": "string",
"message": "string",
"field": "string",
"error_id": "string",
"request_id": "string"
}
Response examples (422)
{
"error": "string",
"error_type": "string",
"message": "string",
"field": "string",
"error_id": "string",
"request_id": "string"
}
Response examples (500)
{
"error": "string",
"error_type": "string",
"message": "string",
"field": "string",
"error_id": "string",
"request_id": "string"
}